Page MenuHomePhabricator

cloudvps: missing packages in stretch for cloudcontrol servers
Closed, ResolvedPublic

Description

There are several packages missing in stretch for cloudcontrol servers:

  • prometheus-openstack-exporter
  • prometheus-rabbitmq-exporter
  • python-oath
  • python-mwclient

Event Timeline

aborrero created this task.Feb 8 2019, 1:12 PM
aborrero triaged this task as Normal priority.
Restricted Application added a subscriber: Danmichaelo. · View Herald TranscriptFeb 8 2019, 1:12 PM

Change 489269 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/debs/prometheus-openstack-exporter@master] d/changelog: generate entry for 0.0.8-4 stretch-wikimedia

https://gerrit.wikimedia.org/r/489269

Change 489269 merged by Arturo Borrero Gonzalez:
[operations/debs/prometheus-openstack-exporter@master] d/changelog: generate entry for 0.0.8-4 stretch-wikimedia

https://gerrit.wikimedia.org/r/489269

Mentioned in SAL (#wikimedia-operations) [2019-02-08T17:49:07Z] <arturo> T215605 add prometheus-openstack-exporter 0.0.8-4 to stretch-wikimedia

wcam added a subscriber: wcam.Feb 11 2019, 8:16 PM

Mentioned in SAL (#wikimedia-operations) [2019-03-08T14:34:27Z] <arturo> T215605 add prometheus-rabbitmq-exporter v0.4 to stretch-wikimedia

aborrero updated the task description. (Show Details)Mar 8 2019, 2:38 PM

Change 495718 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] aptrepo: create base thirdparty component in stretch-wikimedia

https://gerrit.wikimedia.org/r/495718

Change 495718 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] aptrepo: create base thirdparty component in stretch-wikimedia

https://gerrit.wikimedia.org/r/495718

Mentioned in SAL (#wikimedia-operations) [2019-03-11T17:23:03Z] <arturo> T215605 copy python-oath from jessie-wikimedia/thirdparty to stretch-wikimedia/thirdpary in reprepro

Change 495727 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] aptrepo: rename thirdparty component in stretch-wikimedia to be more concrete

https://gerrit.wikimedia.org/r/495727

Change 495727 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] aptrepo: rename thirdparty component in stretch-wikimedia to be more concrete

https://gerrit.wikimedia.org/r/495727

Mentioned in SAL (#wikimedia-operations) [2019-03-12T11:42:11Z] <arturo> T215605 include python-oath .deb in stretch-wikimedia thirdparty/oath

aborrero updated the task description. (Show Details)Mar 12 2019, 11:42 AM

Change 495873 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] aptrepo: introduce stretch-wikimedia thirdparty/mwclient component

https://gerrit.wikimedia.org/r/495873

Mentioned in SAL (#wikimedia-operations) [2019-03-12T12:40:59Z] <arturo> T215605 include python-mwclient .deb in openstack-mitaka-jessie/jessie-wikimedia in install1002

Change 495873 abandoned by Arturo Borrero Gonzalez:
aptrepo: introduce stretch-wikimedia thirdparty/mwclient component

Reason:
See https://tools.wmflabs.org/sal/log/AWlx65myA1BDhGjCQaPR

https://gerrit.wikimedia.org/r/495873

aborrero updated the task description. (Show Details)Mar 12 2019, 12:42 PM
aborrero closed this task as Resolved.

All missing packages are now available.

wcam added a comment.Mar 13 2019, 5:57 PM

As of this moment I am still not able to use the python packages on Stretch grid - I was unable to "import mwclient" in the system default installation of python:

tools.wcam-bot@tools-sgebastion-07:~$ which python
/usr/bin/python
tools.wcam-bot@tools-sgebastion-07:~$ python
Python 2.7.13 (default, Sep 26 2018, 18:42:22)
[GCC 6.3.0 20170516] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import mwclient
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
ImportError: No module named mwclient

Is there anything further to do?